FTGLTextureFont.h File Reference
`#include <FTGL/ftgl.h>`

Go to the source code of this file.

## Data Structures

class | FTTextureFont
| FTTextureFont is a specialisation of the FTFont class for handling Texture mapped fonts. More...

## Macros

#define | FTGLTextureFont FTTextureFont

## Functions

FTGLfont * | ftglCreateTextureFont (const char *file)
| Create a specialised FTGLfont object for handling texture-mapped fonts.
FTGLfont * | ftglCreateTextureFontFromMem (const unsigned char *bytes, size_t len)
| Create a specialised FTGLfont object for handling texture-mapped fonts from a buffer in memory.

## Macro Definition Documentation

## FTGLTextureFont

#define FTGLTextureFont FTTextureFont

Definition at line 84 of file FTGLTextureFont.h.

## Function Documentation

## ftglCreateTextureFont()

FTGLfont * ftglCreateTextureFont | ( | const char * | file | ) |

Create a specialised FTGLfont object for handling texture-mapped fonts.

Parameters

  file | The font file name.

Returns
  An FTGLfont* object.

See also
  FTGLfont

References FTGL_EXPORT.

## ftglCreateTextureFontFromMem()

FTGLfont * ftglCreateTextureFontFromMem | ( | const unsigned char * | bytes,
|  | size_t | len )

Create a specialised FTGLfont object for handling texture-mapped fonts from a buffer in memory.

Sets Error flag. The buffer is owned by the client and is NOT copied by FTGL. The pointer must be valid while using FTGL.

Parameters

  bytes | the in-memory buffer
  len | the length of the buffer in bytes

Returns
  An FTGLfont* object.

References FTGL_END_C_DECLS, and FTGL_EXPORT.